(Legacy) Get Audit Logs for an Account

Deprecated
Fetch audit logs with some filtering capabilities via query params

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須

クエリパラメータ

filter[item_id]stringオプション形式: "uuid"

Filter by Item ID (Asset ID, Project ID, User ID)

filter[inserted_at][op]enumオプション
Filter by log datetime using logical operators
許可された値:
filter[inserted_at][value]stringオプション形式: "date-time"
ISO Datetime
filter[item_type]enumオプション
Filter by Item Type
filter[action]enumオプション
Filter by Action
filter[actor_id]stringオプション形式: "uuid"
Filter by Actor ID
filter[team_id]stringオプション形式: "uuid"
Filter by Team ID
filter[ip_address]stringオプション

Filter by IP Address

This supports both IPv4 (1.1.1.1) and IPv6 (2001:db8:3333:4444:5555:6666:7777:8888)

pageintegerオプション
Page number
page_sizeintegerオプション<=10000デフォルト値 50
Records per page

レスポンスヘッダー

page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

レスポンス

Audit logs list response
account_idstring形式: "uuid"
actionstring
actorobject
actor_idstring形式: "uuid"
application_idstring形式: "uuid"
inserted_atstring形式: "date-time"
ip_addressstring
item_idstring形式: "uuid"
item_typestring
request_idstring形式: "uuid"
resourceobject
team_idstring形式: "uuid"
updated_atstring形式: "date-time"

エラー

401
Unauthorized Error
404
Not Found Error